#### 已开发 基础接口: 登录校验接口
接口说明
```
参数待定
```
请求地址
```
GET: /auth/check
```

请求参数

```

```
返回内容
```
{
    "result": "success",
    "plazas": [
    	{
    		"plazaId": "XXYY",
    		"plazaName": "三明广场"
    	}
    ],
    "permissions": [ "GLSMS_VIEW", "GLSMS_SYMBOL_MANAGE" ]
}
```

#### 已开发 基础接口: 查询楼层清单
接口说明
```
根据广场id查询广场的楼层（字典）清单
这里的字典是指F1、F2、B1这种标准的楼层代码，通过该代码可以和《铺位可视化》系统进行数据交换
```
请求地址
```
GET: /plaza/floor
```

请求参数
```
plazaId=XXYY
```
返回内容

```
{
    "result": "success",
    "data": ["B2", "B1", "F1", "F2", "F3"]
}
```

#### 已开发 基础接口: 查询广场概况
请求地址
```
GET: /plaza/fact
```

请求参数
```
plazaId=XXYY
```
返回内容

```
{
    "result": "success",
    "pic1": [ "区位图地址1", "区位图地址2" ],
    "pic2": [ "鸟瞰图地址1", "鸟瞰图地址2" ],
    "build": [
    	{
    		"project": "建筑综合信息,对应视图建筑综合信息	glsms_build", 
    		"basic": ""
    	}
    ],
    "constructions": [
    	{
    		"type": "总包/分包,对应视图施工单位信息glsms_construction",
    		"professional": "专业",
    		"unit": "施工单位"
    	}
    ]
}
```

#### 已开发 基础接口：查询图片

接口说明

```
图片查询调用接口(项目概况图片/设备设施原理图/位置分布图/分水器支路分布明细/示意图/库房管理图)
```

请求地址

```json
GET /data/GLSMS_PROIMGUP/query
```

请求参数

```
    tyepcode=1 //图片类型，用于区分区位图，鸟撖图，原理图等 必填
    loction=AA //布置图位置编号 选填
    system=system//所属系统 选填
    floor=floor //楼层 选填
    plazaId=XXYY'//广场id 必填
```

返回内容

```json
{
    "result": "success",
    "data":[
        {
            //字段：’GLSMS_PROIMGUP‘视图的字段
        }
    ]
}
```


#### 已开发 基础接口: 设备设施-主要设备清单

接口说明
```
```
请求地址
```
POST /data/glsms_asset/query
```

路径参数说明
```
major=弱电//专业 数据类型之后可能会修改 必填
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=呵呵//模糊查询参数
```

请求参数
```json
{
    "CLASSSTRUCTUREID":"1572"//分类内码 弱电系统 必传
    //查询字段，参考视图‘glsms_asset’
}
```

返回内容
```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_asset‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-主要材料清单

接口说明

```

```

请求地址

```
GET /data/gcglsms_material/query
```

路径参数说明
```
major=土建//专业 数据类型之后可能会修改 必填
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=呵呵//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’gcglsms_material‘
        }
    ],
    
}
```

#### 基础接口: 设备设施-维保事项

接口说明

```

```

请求地址

```
GET /data/glsms_wbsms/query
```

路径参数说明

```
system:system,//所属系统
tab:system,//tab的参数，字段暂不确定
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=呵呵//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wbsms‘
        }
    ],
    
}
```

#### 基础接口: 设备设施-维修事项

接口说明

```

```

请求地址

```
GET /data/glsms_wx/query
```

路径参数说明

```
system:system,//所属系统
tab:system,//tab的参数，字段暂不确定
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=呵呵//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wx‘
        }
    ],
    
}
```

#### 基础接口: 设备设施-专维

接口说明

```

```

请求地址

```
GET /data/glsms_zw/query
```

路径参数说明

```
system=system //所属系统
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=呵呵//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_zw‘
        }
    ],
    
}
```

#### 基础接口: 设备设施-其他事项

接口说明

```

```

请求地址

```
GET /data/glsms_qtsx/query
```

路径参数说明

```
system=system //所属系统
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=呵呵//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_qtsx‘
        }
    ],
    
}
```

#### 基础接口: 设备设施-记录事项

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
system=system //所属系统
plazaId=XXYY //广场id 必填
workorderid=//事项id 必填
```

返回内容

```
[{
    //待定
}]
```

#### 基础接口: 设备设施-查看图纸

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
system=system //所属系统
plazaId=XXYY //广场id 必填
```

返回内容

```
[{
    //待定
}]

```

#### 基础接口: 设备设施-楼层电井口（间）控制商铺范围清单

接口说明

```

```

请求地址

```

```

请求参数

```
plazaId=XXYY//广场id 必填

```

返回内容

```json
{
    "result": "success",
	'B1':[{
    	//字段参考视图‘GLSMS_shops’
	}]
}
```
#### 基础接口: 综合事项管理

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
'plazaId':'XXYY'//广场id 必填
```

返回内容

```
参数待定
```

#### 基础接口:  综合事项管理-综合记录事项弹框

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
'plazaId':'XXYY'//广场id 必填
'综合事项id':'XXYY'//综合事项id，字段名称不确定 必填
```

返回内容

```
参数待定
```

#### 基础接口: 辅助用房管理-广场辅助用房汇总统计报

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
'plazaId':'XXYY'//广场id 必填
'floor':'floor', //楼层 必填
```

返回内容

```
参数待定
```

#### 基础接口:  辅助用房管理-广场辅助用房调改变更记录

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
'plazaId':'XXYY'//广场id 必填
'floor':'floor', //楼层 必填
```

返回内容

```
参数待定
```

